module.exports = {
  root: true,
  env: {
    browser: true,
    node: true
  },
  parserOptions: {
    parser: 'babel-eslint'
  },
  extends: ['@deepvision', '@deepvision/eslint-config/plugins/vue'],
  rules: {
    'no-console': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',

    // vue rules
    "vue/no-v-html": 0,
    "camelcase": 0,
    "no-alert": 0,
    'vue/html-self-closing': 0,
    "vue/html-indent": ["error", 4],
    "linebreak-style": 0,
    "vue/space-infix-ops": 0,
    "vue/no-unused-vars": 0
  }
};
